<?php
/**
* @version		1.6.0
* @package		AceSEF
* @subpackage	AceSEF
* @copyright	2009-2011 JoomAce LLC, www.joomace.net
* @license		GNU GPL
*/
// No Permission
defined('_JEXEC') or die('Restricted Access');
$factory = JPATH_ADMINISTRATOR.'/components/com_acesef/library/factory.php';
$utility = JPATH_ADMINISTRATOR.'/components/com_acesef/library/utility.php';

if (file_exists($factory) && file_exists($utility)) {
	require_once($factory);
	require_once($utility);
	
	$AcesefConfig = AcesefFactory::getConfig();
	
	$AcesefConfig->show_db_errors = 0;
	$AcesefConfig->sm_dot_tree = 0;
	$AcesefConfig->sent_headers_error = 0;
	$AcesefConfig->char_replacements = str_replace('S|O, ', '', $AcesefConfig->char_replacements);
	
	AcesefUtility::storeConfig($AcesefConfig);
}

$this->_addFile(JPATH_ACESEF_ADMIN.DS.'manifest.xml', 'manifest.xml', 'delete');

$this->_addSQL("ALTER TABLE `#__acesef_sitemap` ADD COLUMN `title` VARCHAR(255) NOT NULL DEFAULT '' AFTER `url_sef`");